# Tests by default. No tests: rpmbuild -ba --define 'dotests 0' *.spec
%{!?dotests: %global dotests 1}

Name:           rpcsvc-proto
Version:        1.4.4
Release:        1
Summary:        RPC protocol definitions
License:        BSD
Group:          Applications/Internet
Url:            https://github.com/thkukuk/rpcsvc-proto
Source0:        https://github.com/thkukuk/rpcsvc-proto/releases/v%{version}/%{name}-%{version}.tar.xz

Patch1:         rpcgen-Y-1.4.4.patch
Patch2:         rpcgen-1.4-NoRegister.patch

BuildRequires:  gcc

%description
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package devel
Summary:        RPC protocol definitions
Group:          Applications/Internet

%description devel
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package -n rpcgen
Summary:        RPC protocol compiler
Group:          Applications/Internet
Provides:       rpcgen
Requires:       gettext >= 0.21

%description -n rpcgen
rpcgen is a tool that generates C code to implement an RPC protocol.
The input to rpcgen is a language similar to C known as RPC Language
(Remote Procedure Call Language).

%prep
%setup -q

%patch1 -p1 -b .rpcgen-Y-1.4.4
%patch2 -p1 -b .rpcgen-1.4-NoRegister

%build
export CC="gcc -maix64 -O2"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib"

./configure --prefix=%{_prefix} --mandir=%{_mandir}

gmake

if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi

%install

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT}

# rquota.x and rquota.h are provided by quota
rm -f $RPM_BUILD_ROOT%{_prefix}/include/rpcsvc/rquota.[hx]

%files devel
%doc COPYING
%{_includedir}/rpcsvc/

%files -n rpcgen
%{_bindir}/rpcgen
%{_mandir}/man1/rpcgen.1*

%changelog
* Thu Jul 27 2023 Harshith K A <harshith.k.a@ibm.com> - 1.4.4-1
- Update to version 1.4.4

* Wed Mar 11 2020 Ayappan P <ayappap2@in.ibm.com> - 1.4.1-1
- AIX Toolbox version

* Thu Jun 27 2019 Tony Reix <tony.reix@atos.net>  1.4-3
- Remove the "register " instruction in generated .c files

* Mon Jun 24 2019 Michael Wilson <michael.a.wilson@atos.net>  1.4-2
- Corrections to .spec file

* Fri Jun 21 2019 Michael Wilson <michael.a.wilson@atos.net>  1.4-1
- Initial version for AIX
- Based on package for Fedora 30

